diff --git a/utils/fpcm/fpcmake.inc b/utils/fpcm/fpcmake.inc
index 7a449ea737..e1e3022c2f 100644
--- a/utils/fpcm/fpcmake.inc
+++ b/utils/fpcm/fpcmake.inc
@@ -1230,19 +1244,19 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'ZIPSUFFIX=.$(SOURCESUFFIX)'#010+
   'ZIPCROSSPREFIX=$(TARGETSUFFIX)-'#010+
   'else'#010+
-  'ZIPSUFFIX','=.$(TARGETSUFFIX)'#010+
+  'ZIPSUFFIX=.$(TARGETSUFFIX)'#010+
   'ZIPCROSSPREFIX='#010+
   'endif'#010+
   'endif'#010+
-  #010+
+  #010,
   '[defaulttools]'#010+
   '#####################################################################'#010+
   '# Default Tools'#010+
   '#####################################################################'#010+
   #010+
-  '# Names of the binuti','ls tools'#010+
+  '# Names of the binutils tools'#010+
   'ASNAME=$(BINUTILSPREFIX)as'#010+
-  'LDNAME=$(BINUTILSPREFIX)ld'#010+
+  'LDNAME=$(BI','NUTILSPREFIX)ld'#010+
   'ARNAME=$(BINUTILSPREFIX)ar'#010+
   'RCNAME=$(BINUTILSPREFIX)rc'#010+
   'NASMNAME=$(BINUTILSPREFIX)nasm'#010+
@@ -1250,9 +1264,9 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '# assembler, redefine it if cross compiling'#010+
   'ifndef ASPROG'#010+
   'ifdef CROSSBINDIR'#010+
-  'ASPROG=$(CROSSB','INDIR)/$(ASNAME)$(SRCEXEEXT)'#010+
+  'ASPROG=$(CROSSBINDIR)/$(ASNAME)$(SRCEXEEXT)'#010+
   'else'#010+
-  'ASPROG=$(ASNAME)'#010+
+  'ASPROG=$(ASNA','ME)'#010+
   'endif'#010+
   'endif'#010+
   #010+
@@ -1266,9 +1280,9 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   '# Resource compiler'#010+
-  'ifndef RCPROG',#010+
+  'ifndef RCPROG'#010+
   'ifdef CROSSBINDIR'#010+
-  'RCPROG=$(CROSSBINDIR)/$(RCNAME)$(SRCEXEEXT)'#010+
+  'RCPROG=$(CROSSBINDIR)/$(RCNA','ME)$(SRCEXEEXT)'#010+
   'else'#010+
   'RCPROG=$(RCNAME)'#010+
   'endif'#010+
@@ -1283,9 +1297,9 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   'endif'#010+
   #010+
-  '# NASM assembler, re','define it if cross compiling'#010+
+  '# NASM assembler, redefine it if cross compiling'#010+
   'ifndef NASMPROG'#010+
-  'ifdef CROSSBINDIR'#010+
+  'if','def CROSSBINDIR'#010+
   'NASMPROG=$(CROSSBINDIR)/$(NASMNAME)$(SRCEXEEXT)'#010+
   'else'#010+
   'NASMPROG=$(NASMNAME)'#010+
@@ -1298,10 +1312,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'RC=$(RCPROG)'#010+
   'AR=$(ARPROG)'#010+
   'NASM=$(NASMPROG)'#010+
-  #010,
+  #010+
   '# ppas.bat / ppas.sh'#010+
   'ifdef inUnix'#010+
-  'PPAS=./ppas$(SRCBATCHEXT)'#010+
+  'PPAS=./ppas$(','SRCBATCHEXT)'#010+
   'else'#010+
   'PPAS=ppas$(SRCBATCHEXT)'#010+
   'endif'#010+
@@ -1316,14 +1330,14 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'ifdef DATE'#010+
   'DATESTR:=$(shell $(DATE) +%Y%m%d)'#010+
   'else'#010+
-  'DATESTR='#010,
+  'DATESTR='#010+
   'endif'#010+
   #010+
   '# Zip options'#010+
   'ZIPOPT=-9'#010+
   'ZIPEXT=.zip'#010+
   #010+
-  '# Tar options'#010+
+  '# T','ar options'#010+
   'ifeq ($(USETAR),bz2)'#010+
   'TAROPT=vj'#010+
   'TAREXT=.tar.bz2'#010+
@@ -1335,17 +1349,18 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   '[command_begin]'#010+
   '#####################################################################'#010+
-  '# Compiler ','Command Line'#010+
-  '#####################################################################'#010+
+  '# Compiler Command Line'#010+
+  '##################################','##################################'+
+  '#'#010+
   #010+
   '# Load commandline OPTDEF and add FPC_CPU define, for compiling the'#010+
   '# compiler this needs to be turned off'#010+
   'ifndef NOCPUDEF'#010+
   'override FPCOPTDEF=$(ARCH)'#010+
-  'endif'#010,
+  'endif'#010+
   #010+
   #010+
-  '# Load commandline OPT and add target and unit dir to be sure'#010+
+  '# Load commandline OPT and add target and uni','t dir to be sure'#010+
   'ifneq ($(OS_TARGET),$(OS_SOURCE))'#010+
   'override FPCOPT+=-T$(OS_TARGET)'#010+
   'endif'#010+
@@ -1355,8 +1370,8 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   'ifeq ($(OS_SOURCE),openbsd)'#010+
-  'overr','ide FPCOPT+=-FD$(NEW_BINUTILS_PATH)'#010+
-  'override FPCMAKEOPT+=-FD$(NEW_BINUTILS_PATH)'#010+
+  'override FPCOPT+=-FD$(NEW_BINUTILS_PATH)'#010+
+  'override FP','CMAKEOPT+=-FD$(NEW_BINUTILS_PATH)'#010+
   'override FPMAKE_BUILD_OPT+=-FD$(NEW_BINUTILS_PATH)'#010+
   'endif'#010+
   #010+
@@ -1364,8 +1379,8 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'ifneq ($(BINUTILSPREFIX),)'#010+
   'override FPCOPT+=-XP$(BINUTILSPREFIX)'#010+
   'endif'#010+
-  'ifneq ($','(BINUTILSPREFIX),)'#010+
-  'override FPCOPT+=-Xr$(RLINKPATH)'#010+
+  'ifneq ($(BINUTILSPREFIX),)'#010+
+  'override FPCOPT+=-Xr$(RLINKP','ATH)'#010+
   'endif'#010+
   'endif'#010+
   #010+
@@ -1374,19 +1389,19 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '# it while compiling the fpmake file. (For example to build i386-freeb'+
   'sd'#010+
   '# with BINUTILSPREFIX=i386-)'#010+
-  'if','ndef CROSSCOMPILE'#010+
+  'ifndef CROSSCOMPILE'#010+
   'ifneq ($(BINUTILSPREFIX),)'#010+
-  'override FPCMAKEOPT+=-XP$(BINUTILSPREFIX)'#010+
+  'ov','erride FPCMAKEOPT+=-XP$(BINUTILSPREFIX)'#010+
   'override FPMAKE_BUILD_OPT+=-XP$(BINUTILSPREFIX)'#010+
   'endif'#010+
   'endif'#010+
   #010+
   '# User dirs should be first, so they are looked at first'#010+
   'ifdef UNITDIR'#010+
-  'override FPCOPT+=$(ad','dprefix -Fu,$(UNITDIR))'#010+
+  'override FPCOPT+=$(addprefix -Fu,$(UNITDIR))'#010+
   'endif'#010+
   'ifdef LIBDIR'#010+
-  'override FPCOPT+=$(addprefix -Fl,$(LIBDIR))'#010+
+  'over','ride FPCOPT+=$(addprefix -Fl,$(LIBDIR))'#010+
   'endif'#010+
   'ifdef OBJDIR'#010+
   'override FPCOPT+=$(addprefix -Fo,$(OBJDIR))'#010+
@@ -1396,11 +1411,11 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   '# Smartlinking'#010+
-  'ifdef',' LINKSMART'#010+
+  'ifdef LINKSMART'#010+
   'override FPCOPT+=-XX'#010+
   'endif'#010+
   #010+
-  '# Smartlinking creation'#010+
+  '# Smartl','inking creation'#010+
   'ifdef CREATESMART'#010+
   'override FPCOPT+=-CX'#010+
   'endif'#010+
@@ -1412,10 +1427,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   '# Release mode'#010+
-  '# (strip, optimize and don'#039't load fpc.cfg)',#010+
+  '# (strip, optimize and don'#039't load fpc.cfg)'#010+
   'ifdef RELEASE'#010+
   'FPCCPUOPT:=-O2'#010+
-  'override FPCOPT+=-Ur -Xs $(FPCCPUOPT) -n'#010+
+  'override FPCOPT+=','-Ur -Xs $(FPCCPUOPT) -n'#010+
   'override FPCOPTDEF+=RELEASE'#010+
   'endif'#010+
   #010+
@@ -1429,10 +1444,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'override FPCOPT+=-O2'#010+
   'endif'#010+
   #010+
-  '# Verbose settings (warning,not','e,info)'#010+
+  '# Verbose settings (warning,note,info)'#010+
   'ifdef VERBOSE'#010+
   'override FPCOPT+=-vwni'#010+
-  'endif'#010+
+  'en','dif'#010+
   #010+
   '# Needed compiler options'#010+
   'ifdef COMPILER_OPTIONS'#010+
@@ -1441,56 +1456,56 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'ifdef COMPILER_UNITDIR'#010+
   'override FPCOPT+=$(addprefix -Fu,$(COMPILER_UNITDIR))'#010+
   'endif'#010+
-  'ifdef COMPILE','R_LIBRARYDIR'#010+
-  'override FPCOPT+=$(addprefix -Fl,$(COMPILER_LIBRARYDIR))'#010+
+  'ifdef COMPILER_LIBRARYDIR'#010+
+  'override FPCOPT+=$(addprefix -Fl,$','(COMPILER_LIBRARYDIR))'#010+
   'endif'#010+
   'ifdef COMPILER_OBJECTDIR'#010+
   'override FPCOPT+=$(addprefix -Fo,$(COMPILER_OBJECTDIR))'#010+
   'endif'#010+
   'ifdef COMPILER_INCLUDEDIR'#010+
-  'override FPCOPT+=$(addprefix -Fi,$(COMPILER_INCLUDE','DIR))'#010+
+  'override FPCOPT+=$(addprefix -Fi,$(COMPILER_INCLUDEDIR))'#010+
   'endif'#010+
   #010+
   '# Cross compiler utils'#010+
-  'ifdef CROSSBINDIR'#010+
+  'ifdef CROSS','BINDIR'#010+
   'override FPCOPT+=-FD$(CROSSBINDIR)'#010+
   'endif'#010+
   #010+
   '# Target dirs and the prefix to use for clean/install'#010+
   'ifdef COMPILER_TARGETDIR'#010+
   'override FPCOPT+=-FE$(COMPILER_TARGETDIR)'#010+
-  'ifeq ($(COMPILER_TARGET','DIR),.)'#010+
+  'ifeq ($(COMPILER_TARGETDIR),.)'#010+
   'override TARGETDIRPREFIX='#010+
   'else'#010+
-  'override TARGETDIRPREFIX=$(COMPILER_TARGETDIR)/'#010+
+  'override',' TARGETDIRPREFIX=$(COMPILER_TARGETDIR)/'#010+
   'endif'#010+
   'endif'#010+
   #010+
   '# Unit target dir (default is units/<cpu>-<os>/'#010+
   'ifdef COMPILER_UNITTARGETDIR'#010+
   'override FPCOPT+=-FU$(COMPILER_UNITTARGETDIR)'#010+
-  'ifeq ($(COMPILER_','UNITTARGETDIR),.)'#010+
-  'override UNITTARGETDIRPREFIX='#010+
+  'ifeq ($(COMPILER_UNITTARGETDIR),.)'#010+
+  'override UNITTARGETDIRPREFIX=',#010+
   'else'#010+
   'override UNITTARGETDIRPREFIX=$(COMPILER_UNITTARGETDIR)/'#010+
   'endif'#010+
   'else'#010+
   'ifdef COMPILER_TARGETDIR'#010+
   'override COMPILER_UNITTARGETDIR=$(COMPILER_TARGETDIR)'#010+
-  'override UNITTARGETDIRPREFIX=$(TARGETDIRP','REFIX)'#010+
+  'override UNITTARGETDIRPREFIX=$(TARGETDIRPREFIX)'#010+
   'endif'#010+
   'endif'#010+
   #010+
   'ifdef CREATESHARED'#010+
-  'override FPCOPT+=-Cg'#010+
+  'override',' FPCOPT+=-Cg'#010+
   'endif'#010+
   #010+
   '# create always pic'#039'ed code on x86_64, mips and mipsel'#010+
   '# on unix-like systems'#010+
   'ifneq ($(findstring $(OS_TARGET),dragonfly freebsd openbsd netbsd linu'+
   'x solaris),)'#010+
-  'ifneq ($(fin','dstring $(CPU_TARGET),x86_64 mips mipsel),)'#010+
-  'override FPCOPT+=-Cg'#010+
+  'ifneq ($(findstring $(CPU_TARGET),x86_64 mips mipsel),)'#010+
+  'ove','rride FPCOPT+=-Cg'#010+
   'endif'#010+
   'endif'#010+
   #010+
@@ -1502,10 +1517,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '[command_libc]'#010+
   '# Add GCC lib path if asked'#010+
   'ifdef GCCLIBDIR'#010+
-  'override FPCOPT+=-Fl$(GCCLIBDI','R)'#010+
+  'override FPCOPT+=-Fl$(GCCLIBDIR)'#010+
   'override FPCMAKEOPT+=-Fl$(GCCLIBDIR)'#010+
   'endif'#010+
-  'ifdef OTHERLIBDIR'#010+
+  'i','fdef OTHERLIBDIR'#010+
   'override FPCOPT+=$(addprefix -Fl,$(OTHERLIBDIR))'#010+
   'endif'#010+
   #010+
@@ -1516,7 +1531,7 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'override FPCOPT+=$(OPT)'#010+
   'endif'#010+
   #010+
-  '# Override o','ptions to compile the fpmake-binary with command-line op'+
+  '# Override options to compile the fpmake-binary with comman','d-line op'+
   'tions provided in FPMAKEBUILDOPT'#010+
   'ifdef FPMAKEBUILDOPT'#010+
   'override FPMAKE_BUILD_OPT+=$(FPMAKEBUILDOPT)'#010+
@@ -1524,10 +1539,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   '# Add defines from FPCOPTDEF to FPCOPT'#010+
   'ifdef FPCOPTDEF'#010+
-  'override FPCOPT+=$(addp','refix -d,$(FPCOPTDEF))'#010+
+  'override FPCOPT+=$(addprefix -d,$(FPCOPTDEF))'#010+
   'endif'#010+
   #010+
-  '# Was a config file specified ?'#010+
+  '# Was a config fi','le specified ?'#010+
   'ifdef CFGFILE'#010+
   'override FPCOPT+=@$(CFGFILE)'#010+
   'endif'#010+
@@ -1536,10 +1551,10 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'ifdef USEENV'#010+
   'override FPCEXTCMD:=$(FPCOPT)'#010+
   'override FPCOPT:=!FPCEXTCMD'#010+
-  'export',' FPCEXTCMD'#010+
+  'export FPCEXTCMD'#010+
   'endif'#010+
   #010+
-  'override AFULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)'#010+
+  'override AFULL_TARGET=$(CPU_T','ARGET)-$(OS_TARGET)'#010+
   'override AFULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)'#010+
   #010+
   'ifneq ($(AFULL_TARGET),$(AFULL_SOURCE))'#010+
@@ -1548,18 +1563,18 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   'ifdef ACROSSCOMPILE'#010+
   'override FPCOPT+=$(CROSSOPT)'#010+
-  'en','dif'#010+
+  'endif'#010+
   #010+
   '# Compiler commandline'#010+
-  'override COMPILER:=$(strip $(FPC) $(FPCOPT))'#010+
+  'override COMPILER:=','$(strip $(FPC) $(FPCOPT))'#010+
   #010+
   '# also call ppas if with command option -s'#010+
   '# but only if the FULL_SOURCE and FULL_TARGET are equal'#010+
   '# or if -sh is used'#010+
   'ifneq (,$(findstring -sh ,$(COMPILER)))'#010+
-  'UseEXEC','PPAS=1'#010+
+  'UseEXECPPAS=1'#010+
   'endif'#010+
-  'ifneq (,$(findstring -s ,$(COMPILER)))'#010+
+  'ifneq (,$(findstring -s ,$(COMPILE','R)))'#010+
   'ifeq ($(FULL_SOURCE),$(FULL_TARGET))'#010+
   'UseEXECPPAS=1'#010+
   'endif'#010+
@@ -1575,37 +1590,38 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   #010+
-  '[','loaderrules]'#010+
-  '#####################################################################'#010+
+  '[loaderrules]'#010+
+  '##################################','##################################'+
+  '#'#010+
   '# Loaders'#010+
   '#####################################################################'#010+
   #010+
   '.PHONY: fpc_loaders'#010+
   #010+
   'ifneq ($(TARGET_LOADERS),)'#010+
-  'override ALLTARGET+=fpc_load','ers'#010+
+  'override ALLTARGET+=fpc_loaders'#010+
   'override CLEANTARGET+=fpc_loaders_clean'#010+
-  'override INSTALLTARGET+=fpc_loaders_install'#010+
+  'ove','rride INSTALLTARGET+=fpc_loaders_install'#010+
   #010+
   'override LOADEROFILES:=$(addsuffix $(OEXT),$(TARGET_LOADERS))'#010+
   'endif'#010+
   #010+
   '%$(OEXT): %$(LOADEREXT)'#010+
   'ifdef COMPILER_UNITTARGETDIR'#010+
-  '        $(AS) -o $(COMPILER_U','NITTARGETDIR)/$*$(OEXT) $<'#010+
+  '        $(AS) -o $(COMPILER_UNITTARGETDIR)/$*$(OEXT) $<'#010+
   'else'#010+
-  '        $(AS) -o $*$(OEXT) $<'#010+
+  '        $(AS) -','o $*$(OEXT) $<'#010+
   'endif'#010+
   #010+
   'fpc_loaders: $(COMPILER_UNITTARGETDIR) $(LOADEROFILES)'#010+
   #010+
   'fpc_loaders_clean:'#010+
   'ifdef COMPILER_UNITTARGETDIR'#010+
-  '        -$(DEL) $(addprefix $(COMPILER_UNITTARGETDIR)/,$(LOADEROFIL','E'+
-  'S))'#010+
+  '        -$(DEL) $(addprefix $(COMPILER_UNITTARGETDIR)/,$(LOADEROFILES)'+
+  ')'#010+
   'else'#010+
   '        -$(DEL) $(LOADEROFILES)'#010+
-  'endif'#010+
+  'endif',#010+
   #010+
   'fpc_loaders_install:'#010+
   '        $(MKDIR) $(INSTALL_UNITDIR)'#010+
@@ -1613,7 +1629,7 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '        $(INSTALL) $(addprefix $(COMPILER_UNITTARGETDIR)/,$(LOADEROFIL'+
   'ES)) $(INSTALL_UNITDIR)'#010+
   'else'#010+
-  '      ','  $(INSTALL) $(LOADEROFILES) $(INSTALL_UNITDIR)'#010+
+  '        $(INSTALL) $(LOADEROFILES) $(INSTALL_UNITDIR)',#010+
   'endif'#010+
   #010+
   #010+
@@ -1624,42 +1640,42 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   '.PHONY: fpc_units'#010+
   #010+
-  'ifne','q ($(TARGET_UNITS)$(TARGET_IMPLICITUNITS),)'#010+
-  'override ALLTARGET+=fpc_units'#010+
+  'ifneq ($(TARGET_UNITS)$(TARGET_IMPLICITUNITS),)'#010+
+  'ove','rride ALLTARGET+=fpc_units'#010+
   #010+
   'override UNITPPUFILES=$(addsuffix $(PPUEXT),$(TARGET_UNITS))'#010+
   'override IMPLICITUNITPPUFILES=$(addsuffix $(PPUEXT),$(TARGET_IMPLICITU'+
   'NITS))'#010+
-  'override INSTALLPPUFILES+=$','(UNITPPUFILES) $(IMPLICITUNITPPUFILES)'#010+
-  'override CLEANPPUFILES+=$(UNITPPUFILES) $(IMPLICITUNITPPUFILES)'#010+
+  'override INSTALLPPUFILES+=$(UNITPPUFILES) $(IMPLICITUNITPPUFILES)'#010+
+  'override',' CLEANPPUFILES+=$(UNITPPUFILES) $(IMPLICITUNITPPUFILES)'#010+
   'endif'#010+
   #010+
   'fpc_units: $(COMPILER_UNITTARGETDIR) $(UNITPPUFILES)'#010+
   #010+
   #010+
   '[exerules]'#010+
-  '################################################################','####'+
-  '#'#010+
-  '# Exes'#010+
   '#####################################################################'#010+
+  '# Exes'#010+
+  '##################################','##################################'+
+  '#'#010+
   #010+
   '.PHONY: fpc_exes'#010+
   #010+
   '# Programs are not needed for a cross installation'#010+
   'ifndef CROSSINSTALL'#010+
   'ifneq ($(TARGET_PROGRAMS),)'#010+
-  'override EXEFILES=$(addsuffix $(EXEEXT)',',$(TARGET_PROGRAMS))'#010+
-  'override EXEOFILES:=$(addsuffix $(OEXT),$(TARGET_PROGRAMS)) $(addsuffi'+
-  'x $(LTOEXT),$(TARGET_PROGRAMS))$(addprefix $(STATICLIBPREFIX),$(addsuf'+
-  'fix $(STATICLIBEXT),$(TARGET_PROGRAMS))) $(addprefix $(IMPORTLIBPREFIX'+
-  '),$(addsu','ffix $(STATICLIBEXT),$(TARGET_PROGRAMS)))'#010+
-  'override EXEDBGFILES:=$(addsuffix $(EXEDBGEXT),$(TARGET_PROGRAMS))'#010+
+  'override EXEFILES=$(addsuffix $(EXEEXT),$(TARGET_PROGRAMS))'#010+
+  'override EXEOFILES:=$(adds','uffix $(OEXT),$(TARGET_PROGRAMS)) $(addsuf'+
+  'fix $(LTOEXT),$(TARGET_PROGRAMS))$(addprefix $(STATICLIBPREFIX),$(adds'+
+  'uffix $(STATICLIBEXT),$(TARGET_PROGRAMS))) $(addprefix $(IMPORTLIBPREF'+
+  'IX),$(addsuffix $(STATICLIBEXT),$(TARGET_PROGRAMS)))'#010+
+  'overr','ide EXEDBGFILES:=$(addsuffix $(EXEDBGEXT),$(TARGET_PROGRAMS))'#010+
   #010+
   'override ALLTARGET+=fpc_exes'#010+
   'override INSTALLEXEFILES+=$(EXEFILES)'#010+
   'override CLEANEXEFILES+=$(EXEFILES) $(EXEOFILES)'#010+
-  'override CLEAN','EXEDBGFILES+=$(EXEDBGFILES)'#010+
-  'ifeq ($(OS_TARGET),os2)'#010+
+  'override CLEANEXEDBGFILES+=$(EXEDBGFILES)'#010+
+  'ifeq ($(OS_TARGET),','os2)'#010+
   'override CLEANEXEFILES+=$(addsuffix $(AOUTEXT),$(TARGET_PROGRAMS))'#010+
   'endif'#010+
   'ifeq ($(OS_TARGET),emx)'#010+
@@ -1668,7 +1684,7 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   'endif'#010+
   #010+
-  'fpc_e','xes: $(COMPILER_TARGETDIR) $(COMPILER_UNITTARGETDIR) $(EXEFILES'+
+  'fpc_exes: $(COMPILER_TARGETDIR) $(COMPILER_UNITTARGE','TDIR) $(EXEFILES'+
   ')'#010+
   #010+
   #010+
@@ -1677,8 +1693,8 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '# Resource strings'#010+
   '#####################################################################'#010+
   #010+
-  'if','def TARGET_RSTS'#010+
-  'override RSTFILES=$(addsuffix $(RSTEXT),$(TARGET_RSTS))'#010+
+  'ifdef TARGET_RSTS'#010+
+  'override RSTFILES=$(addsuffix $','(RSTEXT),$(TARGET_RSTS))'#010+
   #010+
   'override CLEANRSTFILES+=$(RSTFILES)'#010+
   'endif'#010+
@@ -1687,34 +1703,33 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '[examplerules]'#010+
   '#####################################################################'#010+
   '# Examples'#010+
-  '###########################','#########################################'+
-  '#'#010+
+  '#####################################################################'#010+
   #010+
-  '.PHONY: fpc_examples'#010+
+  '.PH','ONY: fpc_examples'#010+
   #010+
   'ifneq ($(TARGET_EXAMPLES),)'#010+
   'HASEXAMPLES=1'#010+
   'override EXAMPLESOURCEFILES=$(wildcard $(addsuffix .pp,$(TARGET_EXAMPL'+
-  'ES)) $(addsuffix .pas,$(TARGET_EXAMPLES)) $(addsuffix .lpr,$(T','ARGET_'+
-  'EXAMPLES)) $(addsuffix .dpr,$(TARGET_EXAMPLES)))'#010+
+  'ES)) $(addsuffix .pas,$(TARGET_EXAMPLES)) $(addsuffix .lpr,$(TARGET_EX'+
+  'AMPLES)) $(addsuffix .dpr,$(TARGET_EXAM','PLES)))'#010+
   'override EXAMPLEFILES:=$(addsuffix $(EXEEXT),$(TARGET_EXAMPLES))'#010+
   'override EXAMPLEOFILES:=$(addsuffix $(OEXT),$(TARGET_EXAMPLES)) $(adds'+
-  'uffix $(LTOEXT),$(TARGET_EXAMPLES)) $(addprefix $(','STATICLIBPREFIX),$'+
-  '(addsuffix $(STATICLIBEXT),$(TARGET_EXAMPLES))) $(addprefix $(IMPORTLI'+
+  'uffix $(LTOEXT),$(TARGET_EXAMPLES)) $(addprefix $(STATICLIBPREFIX),$(a'+
+  'ddsuffix $(STATICLIBEXT),$(','TARGET_EXAMPLES))) $(addprefix $(IMPORTLI'+
   'BPREFIX),$(addsuffix $(STATICLIBEXT),$(TARGET_EXAMPLES)))'#010+
   'override EXAMPLEDBGFILES:=$(addsuffix $(EXEDBGEXT),$(TARGET_EXAMPLES))'+
   #010+
   #010+
-  'override CLEANEXEFILES','+=$(EXAMPLEFILES) $(EXAMPLEOFILES)'#010+
-  'override CLEANEXEDBGFILES+=$(EXAMPLEDBGFILES)'#010+
+  'override CLEANEXEFILES+=$(EXAMPLEFILES) $(EXAMPLEOFILES)'#010+
+  'override CLE','ANEXEDBGFILES+=$(EXAMPLEDBGFILES)'#010+
   'ifeq ($(OS_TARGET),os2)'#010+
   'override CLEANEXEFILES+=$(addsuffix $(AOUTEXT),$(TARGET_EXAMPLES))'#010+
   'endif'#010+
   'ifeq ($(OS_TARGET),emx)'#010+
-  'override CLEANEXEFILES+=$(addsuffix $(','AOUTEXT),$(TARGET_EXAMPLES))'#010+
+  'override CLEANEXEFILES+=$(addsuffix $(AOUTEXT),$(TARGET_EXAMPLES))'#010+
   'endif'#010+
   'endif'#010+
-  'ifneq ($(TARGET_EXAMPLEDIRS),)'#010+
+  'ifneq ','($(TARGET_EXAMPLEDIRS),)'#010+
   'HASEXAMPLES=1'#010+
   'endif'#010+
   #010+
@@ -1723,19 +1738,19 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   #010+
   '[compilerules]'#010+
-  '########################################################','############'+
-  '#'#010+
-  '# General compile rules'#010+
   '#####################################################################'#010+
+  '# General compile rules'#010+
+  '#########','###########################################################'+
+  '#'#010+
   #010+
   '.PHONY: fpc_all fpc_smart fpc_debug fpc_release fpc_shared'#010+
   #010+
   '$(FPCMADE): $(ALLDEPENDENCIES) $(ALLTARGET)'#010+
-  '        @$(ECHOREDIR) Compi','led > $(FPCMADE)'#010+
+  '        @$(ECHOREDIR) Compiled > $(FPCMADE)'#010+
   #010+
   'fpc_all: $(FPCMADE)'#010+
   #010+
-  'fpc_smart:'#010+
+  'fpc_smar','t:'#010+
   '        $(MAKE) all LINKSMART=1 CREATESMART=1'#010+
   #010+
   'fpc_debug:'#010+
@@ -1744,11 +1759,11 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'fpc_release:'#010+
   '        $(MAKE) all RELEASE=1'#010+
   #010+
-  '# General compile rules, available for both possible .pp an','d .pas ex'+
-  'tensions'#010+
+  '# General compile rules, available for both possible .pp and .pas exte'+
+  'nsions'#010+
   #010+
-  '.SUFFIXES: $(EXEEXT) $(PPUEXT) $(OEXT) $(LTOEXT) .pas .lpr .dpr .pp .r'+
-  'c .res'#010+
+  '.SUFFIXES: $(EXEEXT) $(PPUEX','T) $(OEXT) $(LTOEXT) .pas .lpr .dpr .pp '+
+  '.rc .res'#010+
   #010+
   '$(COMPILER_UNITTARGETDIR):'#010+
   '        $(MKDIRTREE) $(COMPILER_UNITTARGETDIR)'#010+
@@ -1756,9 +1771,9 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '$(COMPILER_TARGETDIR):'#010+
   '        $(MKDIRTREE) $(COMPILER_TARGETDIR)'#010+
   #010+
-  '%','$(PPUEXT): %.pp'#010+
+  '%$(PPUEXT): %.pp'#010+
   '        $(COMPILER) $<'#010+
-  '        $(EXECPPAS)'#010+
+  '        ','$(EXECPPAS)'#010+
   #010+
   '%$(PPUEXT): %.pas'#010+
   '        $(COMPILER) $<'#010+
@@ -1770,11 +1785,11 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   '%$(EXEEXT): %.pas'#010+
   '        $(COMPILER) $<'#010+
-  '        $(EXECPP','AS)'#010+
+  '        $(EXECPPAS)'#010+
   #010+
   '%$(EXEEXT): %.lpr'#010+
   '        $(COMPILER) $<'#010+
-  '        $(EXECPPAS)'#010+
+  ' ','       $(EXECPPAS)'#010+
   #010+
   '%$(EXEEXT): %.dpr'#010+
   '        $(COMPILER) $<'#010+
@@ -1784,19 +1799,19 @@ const fpcmakeini : array[0..247,1..240] of char=(
   '        windres -i $< -o $@'#010+
   #010+
   '# Search paths for .ppu, .pp, .pas, .lpr, .dpr'#010+
-  'vpath %.pp $(COMPILER_S','OURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
-  'vpath %.pas $(COMPILER_SOURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
+  'vpath %.pp $(COMPILER_SOURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
+  'vpath %.pas $(','COMPILER_SOURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
   'vpath %.lpr $(COMPILER_SOURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
   'vpath %.dpr $(COMPILER_SOURCEDIR) $(COMPILER_INCLUDEDIR)'#010+
   'vpath %.inc $(COMPILER_INCLUDEDIR)'#010+
-  'v','path %$(OEXT) $(COMPILER_UNITTARGETDIR)'#010+
-  'vpath %$(LTOEXT) $(COMPILER_UNITTARGETDIR)'#010+
+  'vpath %$(OEXT) $(COMPILER_UNITTARGETDIR)'#010+
+  'vpath %','$(LTOEXT) $(COMPILER_UNITTARGETDIR)'#010+
   'vpath %$(PPUEXT) $(COMPILER_UNITTARGETDIR)'#010+
   #010+
   '[sharedrules]'#010+
   '#####################################################################'#010+
   '# Library'#010+
-  '###################','#################################################'+
+  '##################################################################','##'+
   '#'#010+
   #010+
   '.PHONY: fpc_shared'#010+
@@ -1809,26 +1824,26 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   'ifndef SHARED_LIBNAME'#010+
   'SHARED_LIBNAME=$(PACKAGE_NAME)'#010+
-  'endif'#010,
+  'endif'#010+
   #010+
   'ifndef SHARED_FULLNAME'#010+
-  'SHARED_FULLNAME=$(SHAREDLIBPREFIX)$(SHARED_LIBNAME)-$(SHARED_LIBVERSIO'+
-  'N)$(SHAREDLIBEXT)'#010+
+  'SHARED_FULLNAME=$(SHARE','DLIBPREFIX)$(SHARED_LIBNAME)-$(SHARED_LIBVERS'+
+  'ION)$(SHAREDLIBEXT)'#010+
   'endif'#010+
   #010+
   '# Default sharedlib units are all unit objects'#010+
   'ifndef SHARED_LIBUNITS'#010+
-  'SHARED_LIBUNITS:=$(TARGET_UNITS) $(TARGET_IMPLICITU','NITS)'#010+
-  'override SHARED_LIBUNITS:=$(filter-out $(INSTALL_BUILDUNIT),$(SHARED_L'+
-  'IBUNITS))'#010+
+  'SHARED_LIBUNITS:=$(TARGET_UNITS) $(TARGET_IMPLICITUNITS)'#010+
+  'override SHARED_LIBUNITS:=$(filter-out $(','INSTALL_BUILDUNIT),$(SHARED'+
+  '_LIBUNITS))'#010+
   'endif'#010+
   #010+
   'fpc_shared:'#010+
   'ifdef HASSHAREDLIB'#010+
   '        $(MAKE) all CREATESHARED=1 LINKSHARED=1 CREATESMART=1'#010+
   'ifneq ($(SHARED_BUILD),n)'#010+
-  '        $(PPUMOVE) -q $(SHAR','ED_LIBUNITS) -i$(COMPILER_UNITTARGETDIR)'+
-  ' -o$(SHARED_FULLNAME) -d$(COMPILER_UNITTARGETDIR) -P$(BINUTILSPREFIX)'#010+
+  '        $(PPUMOVE) -q $(SHARED_LIBUNITS) -i$(COMPILER_UNITTARGETDIR) -'+
+  'o$(SH','ARED_FULLNAME) -d$(COMPILER_UNITTARGETDIR) -P$(BINUTILSPREFIX)'#010+
   'endif'#010+
   'else'#010+
   '        @$(ECHO) Shared Libraries not supported'#010+
@@ -1836,8 +1851,8 @@ const fpcmakeini : array[0..247,1..240] of char=(
   #010+
   'fpc_shared_install:'#010+
   'ifneq ($(SHARED_BUILD),n)'#010+
-  'ifneq ($(SHARED_LI','BUNITS),)'#010+
-  'ifneq ($(wildcard $(COMPILER_UNITTARGETDIR)/$(SHARED_FULLNAME)),)'#010+
+  'ifneq ($(SHARED_LIBUNITS),)'#010+
+  'ifneq ($(wildcard $(COMPILER_UNITTARG','ETDIR)/$(SHARED_FULLNAME)),)'#010+
   '        $(INSTALL) $(COMPILER_UNITTARGETDIR)/$(SHARED_FULLNAME) $(INST'+
   'ALL_SHAREDDIR)'#010+
   'endif'#010+
@@ -1845,73 +1860,73 @@ const fpcmakeini : array[0..247,1..240] of char=(
   'endif'#010+
   #010+
   '[installrules]'#010+
-  '#############################################','#######################'+
-  '#'#010+
-  '# Install rules'#010+
   '#####################################################################'#010+
+  '# Install rules'#010+
+  '######','##############################################################'+
+  '#'#010+
   #010+
   '.PHONY: fpc_install fpc_sourceinstall fpc_exampleinstall'#010+
   #010+
   'ifdef INSTALL_UNITS'#010+
-  'override INSTALLPPUFILES+=$(addsuffix $(PPUEXT),$(','INSTALL_UNITS))'#010+
+  'override INSTALLPPUFILES+=$(addsuffix $(PPUEXT),$(INSTALL_UNITS))'#010+
   'endif'#010+
   #010+
-  'ifdef INSTALL_BUILDUNIT'#010+
+  'ifdef INSTALL_BUILDUNIT'#010,
   'override INSTALLPPUFILES:=$(filter-out $(INSTALL_BUILDUNIT)$(PPUEXT),$'+
   '(INSTALLPPUFILES))'#010+
   'endif'#010+
   #010+
   'ifdef INSTALLPPUFILES'#010+
   '# Avoid getting the same name twice as some install EXE fail'#010+
-  '# in this case',', happends for instance for OS/2 target'#010+
-  'ifneq ($(IMPORTLIBPREFIX)-$(STATICLIBEXT),$(STATICLIBPREFIX)-$(STATICL'+
-  'IBEXT))'#010+
+  '# in this case, happends for instance for OS/2 target'#010+
+  'ifneq (','$(IMPORTLIBPREFIX)-$(STATICLIBEXT),$(STATICLIBPREFIX)-$(STATI'+
+  'CLIBEXT))'#010+
   'override INSTALLPPULINKFILES:=$(subst $(PPUEXT),$(OEXT),$(INSTALLPPUFI'+
-  'LES)) $(subst $(PPUEXT),$(LTOEXT),$(INSTALLPPUFILES)',') $(addprefix $('+
-  'STATICLIBPREFIX),$(subst $(PPUEXT),$(STATICLIBEXT),$(INSTALLPPUFILES))'+
+  'LES)) $(subst $(PPUEXT),$(LTOEXT),$(INSTALLPPUFILES)) $(addprefix $(ST'+
+  'ATICLIBPREFIX),$(subst $(PPUE','XT),$(STATICLIBEXT),$(INSTALLPPUFILES))'+
   ') $(addprefix $(IMPORTLIBPREFIX),$(subst $(PPUEXT),$(STATICLIBEXT),$(I'+
   'NSTALLPPUFILES)))'#010+
   'else'#010+
-  'override INSTALLPPULINKFILES:=$(subst $(PPUEXT),$(OEXT),$(INS','TALLPPU'+
-  'FILES)) $(subst $(PPUEXT),$(LTOEXT),$(INSTALLPPUFILES)) $(addprefix $('+
+  'override INSTALLPPULINKFILES:=$(subst $(PPUEXT),$(OEXT),$(INSTALLPPUFI'+
+  'LES)) $(subst $(PPUEXT),$(LTOEXT),$(IN','STALLPPUFILES)) $(addprefix $('+
   'STATICLIBPREFIX),$(subst $(PPUEXT),$(STATICLIBEXT),$(INSTALLPPUFILES))'+
   ')'#010+
   'endif'#010+
   #010+
   'ifneq ($(UNITTARGETDIRPREFIX),)'#010+
-  'override INSTALLPPUFILENAMES:=$(notdir $(INSTALLPPUF','ILES))'#010+
-  'override INSTALLPPULINKFILENAMES:=$(notdir $(INSTALLPPULINKFILES))'#010+
+  'override INSTALLPPUFILENAMES:=$(notdir $(INSTALLPPUFILES))'#010+
+  'override INSTALLPPULINKFILENAMES:=$(notd','ir $(INSTALLPPULINKFILES))'#010+
   'override INSTALLPPUFILES=$(addprefix $(UNITTARGETDIRPREFIX),$(INSTALLP'+
   'PUFILENAMES))'#010+
   'override INSTALLPPULINKFILES=$(wildcard $(addprefix $(UNITTARGETDIRPRE'+
-  'FIX),$(INSTA','LLPPULINKFILENAMES)))'#010+
+  'FIX),$(INSTALLPPULINKFILENAMES)))'#010+
   'endif'#010+
-  '# Implicitly install Package.fpc'#010+
+  '# Implicitly instal','l Package.fpc'#010+
   'override INSTALL_CREATEPACKAGEFPC=1'#010+
   'endif'#010+
   #010+
   'ifdef INSTALLEXEFILES'#010+
   'ifneq ($(TARGETDIRPREFIX),)'#010+
   'override INSTALLEXEFILES:=$(addprefix $(TARGETDIRPREFIX),$(notdir $(IN'+
-  'STALLEXEFILES)))',#010+
+  'STALLEXEFILES)))'#010+
   'endif'#010+
   'endif'#010+
   #010+
-  'fpc_install: all $(INSTALLTARGET)'#010+
+  'fpc_install: all $(INSTALLTARGET)',#010+
   'ifdef INSTALLEXEFILES'#010+
   '        $(MKDIR) $(INSTALL_BINDIR)'#010+
   '        $(INSTALLEXE) $(INSTALLEXEFILES) $(INSTALL_BINDIR)'#010+
   'endif'#010+
   'ifdef INSTALL_CREATEPACKAGEFPC'#010+
   'ifdef FPCMAKE'#010+
-  '# If the fpcpackage varia','ble is set then create and install Package.'+
-  'fpc,'#010+
+  '# If the fpcpackage variable is set then create and install Package.fp'+
+  'c,',#010+
   '# a safety check is done if Makefile.fpc is available'#010+
   'ifdef PACKAGE_VERSION'#010+
   'ifneq ($(wildcard Makefile.fpc),)'#010+
   '        $(FPCMAKE) -p -T$(CPU_TARGET)-$(OS_TARGET) Makefile.fpc'#010+
-  '        $(MKDIR) $','(INSTALL_UNITDIR)'#010+
-  '        $(INSTALL) Package.fpc $(INSTALL_UNITDIR)'#010+
+  '        $(MKDIR) $(INSTALL_UNITDIR)'#010+
+  '        $(INSTALL) Package.fp','c $(INSTALL_UNITDIR)'#010+
   'endif'#010+
   'endif'#010+
   'endif'#010+
